#

## route

Route the current cell

### Usage:

> route option

> > where option may be one of the following:
> > end value
> >   Set channel router end constant. value type is real, and defaults to 1.0.
> > help
> >   Print help information
> > jog length
> >   Set minimum jog length (integer grid units)
> > metal
> >   Toggle metal maximization (default is "on").
> > netlist file
> >   Set current netlist (default NULL)
> > obstacle value
> >   Set obstacle constant. value type is real, and defaults to 0.7.
> > origin [x y]
> >   Print or set routing grid origin
> > stats
> >   Print and clear previous route statistics
> > settings
> >   Show router parameters
> > steady value
> >   Set steady net constant. value type is integer, and defaults to 1.
> > tech
> >   Show router parameters read from the technology file.
> > vias value
> >   Set metal maximization via limit (grid units). value type is integer, and defaults to 2.
> > viamin
> >   Via minimization

### Summary:

> The route command performs standard routing of networks in a netlist.

### Implementation Notes:

> route is implemented as a built-in command in magic.

### See Also:

> iroute
> garoute

Return to command index

Last updated: March 7, 2020 at 1:06pm